<?php

namespace App\Notifications\Push\Cliente\Motivacional;

use App\Enums\PushNotificationCategoryEnum;
use App\Enums\PushNotificationTargetEnum;
use App\Models\User;
use App\Notifications\Push\BasePushNotification;
use Illuminate\Database\Eloquent\Collection;

class Motivacional1Push extends BasePushNotification
{
    public function label(): string
    {
        return 'cliente_motivacional_1';
    }

    public function title(): string
    {
        return 'Sua casa merece cuidado';
    }

    public function body(): string
    {
        return 'E você merece tempo livre.';
    }

    public function target(): PushNotificationTargetEnum
    {
        return PushNotificationTargetEnum::CLIENTE;
    }

    public function category(): PushNotificationCategoryEnum
    {
        return PushNotificationCategoryEnum::MOTIVACIONAL;
    }

    public function eligibleUsers(): Collection
    {
        return User::whereHas('client')
            ->where('registration_complete', true)
            ->get();
    }
}
